%define builtin_release_version 7.3
%define builtin_release_name Valhalla
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define doors_release_version 3.3

Summary: Mega & Loman Doors Linux release file
Summary(de): Mega & Loman Doors Linux Release-Datei
Summary(fr): Fichier de version de Mega & Loman Doors Linux.
Summary(tr): Mega & Loman Doors Linux srm dosyas
Summary(sk): Release sbor distribcie Mega & Loman Doors Linux
Name: doors-release
Version: %{doors_release_version}
Release: 1
Copyright: GPL
Group: System Environment/Base
Source0: redhat-release-%{builtin_release_version}.tar.gz
Source1: RPM-GPG-KEY.DOORS
BuildArchitectures: noarch
Obsoletes: rawhide-release
Obsoletes: redhat-release
Provides: redhat-release-7.3
BuildRoot: %{_tmppath}/%{name}-root

%description
Mega & Loman Doors Linux release file

%description -l de
Mega & Loman Doors Linux Release-Datei

%description -l fr
Fichier de version de Mega & Loman Doors Linux.

%description -l tr
Mega & Loman Doors Linux srm dosyas

%description -l sk
Release sbor distribcie Mega & Loman Doors Linux

%prep
%setup -q -n redhat-release-7.3
%{__cp} %{SOURCE1} $RPM_BUILD_DIR/redhat-release-7.3

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "M&L Doors Linux release %{doors_release_version} [based on Red Hat Linux release %{real_release_version} (%{real_release_name})]" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

rm 7.2/README*

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%doc R* 6.2 7.0 7.1 7.2
%doc GPL EULA autorun-template 
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net

%changelog
* Thu May 16 2002 Peter Hanecak <hanecak@megaloman.sk>
- Mega & Loman Doors 3.3: based on RedHat Linux 7.3 and RawHide,
  2.4.X kernel, glibc 2.2.X and XFree86 4.2.X; compiled using gcc-2.96
- synchronized with RedHat's redhat-release-7.3-1 package

* Thu Jan  3 2002 Peter Hanecak <hanecak@megaloman.sk>
- Mega & Loman Doors 3.2: based on RedHat Linux 7.2 and RawHide,
  2.4.X kernel, glibc 2.2.X and XFree86 4.1.X; compiled using gcc-2.96
- s/Copyright/License

* Wed Jun 13 2001 Peter Hanecak <hanecak@megaloman.sk>
- Mega & Loman Doors 3.1: based on RedHat Linux 7.1 and RawHide,
  2.4.X kernel, glibc 2.2.X and XFree86 4.0.X; compiled using gcc-2.95.X

* Thu Feb  8 2001 Peter Hanecak <hanecak@megaloman.sk>
- Mega & Loman Doors 3.0: based on RedHat Linux 7.0 and RawHide,
  2.4.X kernel, glibc 2.2.X and XFree86 4.0.X; compiled using gcc-2.95.X

* Sun Apr  9 2000 Peter Hanecak <hanecak@megaloman.sk>
- Mega & Loman Doors 2.4: based on RedHat Linux 6.2 and RawHide,
  2.2.X kernel and glibc 2.1; compiled using gcc-2.95.X

* Wed Oct  6 1999 Peter Hanecak <hanecak@megaloman.sk>
- Mega & Loman Doors 2.3: based on RedHat Linux 6.1 and RawHide,
  2.2.X kernel and glibc 2.1; compiled using egcs-1.1.2 (XFree86 updated
  to 3.3.6, glibc updated to 2.1.3, and a lot of other packages updated
  too)

* Wed Oct  6 1999 Peter Hanecak <hanecak@megaloman.sk>
- Mega & Loman Doors 2.2: based on RedHat Linux 6.1 (Lorax) and RawHide,
  2.2.X kernel and glibc 2.1; compiled using egcs-1.1.2

* Wed May 26 1999 Peter Hanecak <hanecak@megaloman.sk>
- Mega & Loman Doors 2.1: based on RedHat Linux 6.0 (BlueSky) and RawHide,
  2.2.X kernel and glibc 2.1; compiled using egcs-1.1.2

* Sat Apr 10 1999 Peter Hanecak <hanecak@megaloman.sk>
- Mega & Loman Doors 2.0: based on RedHat Linux 5.1 (Manhattan) and RawHide,
  2.2.X kernel and glibc 2.1; compiled using egcs-1.1.1
- initial spec (based on redhat-release.spec 5.2-1)
